module Chervil
  RSpec.describe AST::Boolean do
    it 'evaluates' do
      expect(AST::Boolean.new(true).evaluate(Env.new)).to eq(true)
    end
  end

  RSpec.describe AST::Number do
    it 'evaluates' do
      expect(AST::Number.new(5.0).evaluate(Env.new)).to eq(5.0)
    end
  end

  RSpec.describe AST::String do
    it 'evaluates' do
      expect(AST::String.new("hello world").evaluate(Env.new)).to eq("hello world")
    end
  end
end
